
Figure - Bug #118656
【IOVDEV-33484】【内部】【VC1】【冒烟测试】【实车】【必现】熄屏模式中仅副屏熄灭不能使用
2023-06-08 16:03 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【IDCM版本】：03.02.0090.C103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【日期时间】：2023/06/08 14：34

【IDCM版本】：03.02.0090.C103

【操作步骤】：进入设置，进入显示功能，点击仅副屏熄屏

【实际结果】：点击仅副屏熄屏无效，副屏没被关掉

【期望结果】：正常操作副屏熄屏

【视频详情】：附件

【车架vn号】：

LJD8BB3F9P0000709

【测试次数】：3

History

#1 - 2023-06-08 16:03 - CDTS_Test 吴诗雨

1.第一次息副屏

06-08 14:34:02.985  2721  4603 I HMSCREEN-Managemet: setdisplayST: screenNo:2 displayST:2

06-08 14:34:02.985  2721  4603 I HMSCREEN-ComhalReceiver:

setCoDriverDisplaySt:{"srcService":"IDCM_MultiScreenService","dstService":"FSEM_SettingService","messageType":0,"uuid":280985367028,"methodName":"setScreenDis

play","parameters":{"ScreenDisplay":0}}

06-08 14:34:02.985   536   536 D HCOMHAL : [sendData] Enter: dateLen=176

06-08 14:34:02.985   536   536 D HCOMHAL : srcService:IDCM_MultiScreenService

06-08 14:34:02.985   536   536 D HCOMHAL : dstService:FSEM_SettingService

06-08 14:34:02.985   536   536 D HCOMHAL : messageType:0

06-08 14:34:02.985   536   536 D HCOMHAL : uuid:280985367028

06-08 14:34:02.985   536   576 D HCOMHAL : [sendReq] src=IDCM_MultiScreenService, dst=FSEM_SettingService, pbuf=0xb400007843daccb0, buflen=176, msgtype=0

06-08 14:34:02.985   536   576 D HCOMHAL : send success!

2.第二次息副屏

06-08 14:34:16.360  2721  4603 I HMSCREEN-Managemet: setdisplayST: screenNo:2 displayST:2

06-08 14:34:16.360  2721  4603 I HMSCREEN-ComhalReceiver:

setCoDriverDisplaySt:{"srcService":"IDCM_MultiScreenService","dstService":"FSEM_SettingService","messageType":0,"uuid":294360954418,"methodName":"setScreenDis

play","parameters":{"ScreenDisplay":0}}

06-08 14:34:16.361   536   536 D HCOMHAL : [sendData] Enter: dateLen=176

06-08 14:34:16.361   536   536 D HCOMHAL : srcService:IDCM_MultiScreenService
06-08 14:34:16.361   536   536 D HCOMHAL : dstService:FSEM_SettingService

06-08 14:34:16.361   536   536 D HCOMHAL : messageType:0

06-08 14:34:16.361   536   536 D HCOMHAL : uuid:294360954418

06-08 14:34:16.361   536   576 D HCOMHAL : [sendReq] src=IDCM_MultiScreenService, dst=FSEM_SettingService, pbuf=0xb400007843daa550, buflen=176, msgtype=0

06-08 14:34:16.361   536   576 D HCOMHAL : send success!

3.全部息屏

06-08 14:34:20.292  5530  5530 I HMSCREEN_manager: setScreenDisplayState screenNo:4 displayState:2

06-08 14:34:20.293  2721  4603 I HMSCREEN-Managemet: setdisplayST: screenNo:4 displayST:2

06-08 14:34:20.293  2721  4603 I HMSCREEN-ComhalReceiver:

setCoDriverDisplaySt:{"srcService":"IDCM_MultiScreenService","dstService":"FSEM_SettingService","messageType":0,"uuid":298293593479,"methodName":"setScreenDis

play","parameters":{"ScreenDisplay":0}}

06-08 14:34:20.293   536   536 D HCOMHAL : [sendData] Enter: dateLen=176

06-08 14:34:20.294   536   536 D HCOMHAL : srcService:IDCM_MultiScreenService

06-08 14:34:20.294   536   536 D HCOMHAL : dstService:FSEM_SettingService

06-08 14:34:20.294   536   536 D HCOMHAL : messageType:0

06-08 14:34:20.294   536   536 D HCOMHAL : uuid:298293593479

06-08 14:34:20.294   536   576 D HCOMHAL : [sendReq] src=IDCM_MultiScreenService, dst=FSEM_SettingService, pbuf=0xb400007843dab510, buflen=176, msgtype=0

06-08 14:34:20.294   536   576 D HCOMHAL : send success!

三次副屏息屏全部发送成功，但是副屏没有通知屏幕状态，请副屏分析

#2 - 2023-06-08 16:05 - CDTS_Test 吴诗雨

- File 1686211540070.zip added

#3 - 2023-06-08 17:48 - CD FW-程天颖

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS_Test 吴诗雨

■ Current conclusion

需要确认副屏版本

■ My analysis

000226_persist_00528_230608_135317.log:06-08 13:53:29.025  2170  2235 D MicroSettings: ITCMicroCommonCallback: get request method = getScreenDisplay

parameters = {"ScreenDisplay":0}

000226_persist_00528_230608_135317.log:06-08 13:53:29.025  2170  2235 E MicroSettings: NullAction: Do NullAction! ------- Info: Have no action match

getScreenDisplay

从屏保样式，tlog，微服务日志分析，该副屏版本为息屏功能制作前的副屏版本

■ Next action

请提供测试环境的副屏版本

#4 - 2023-06-09 11:09 - CD TEST-方永红

6.9

已同步

#5 - 2023-06-17 18:37 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED
客户副屏版本是0086版本，此版本未合入熄屏功能，已同步客户消息

#6 - 2023-06-17 18:37 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#7 - 2023-06-17 18:37 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

副屏.mp4 12.1 MB 2023-06-08 CDTS_Test 吴诗雨

1686211540070.zip 1.84 MB 2023-06-08 CDTS_Test 吴诗雨
